Hold off on profile installation until we have all packages?

Bug #542215 reported by Andreas Hasenack on 2010-03-19
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Landscape Server
Low
Free Ekanayaka
landscape-client (Ubuntu)
Undecided
Unassigned
Jaunty
Undecided
Unassigned
Karmic
Undecided
Unassigned
Lucid
Undecided
Unassigned

Bug Description

Got this very simple sequence of events on a brand new VM and LS computer (i.e., the VM was *not* accepted as a pre-existing LS computer). See screenshot:
- computer accepted
- profile activity created at the same time. It eventually failed
- computer resynchronized for some reason

Here is the reason for the profile activity failure:
"""
Can't install landscape-profile-andreas.hasenack-lamp_6: no package provides apache2-mpm-prefork
"""

That package certainly exists. It just didn't exist yet in the client, because smart update didn't finish.

I'm also going to attach the client logs.

The timezones are: UTC for the screenshot, and UTC-4 for the logs. So, if you see 21:14 in Landscape, it's 17:14 in the client logs.

Related branches

Andreas Hasenack (ahasenack) wrote :
Andreas Hasenack (ahasenack) wrote :
Andreas Hasenack (ahasenack) wrote :

Of course, how long to wait would be the question. I guess this goes back to that old feature request of the server knowing when the client finished to upload the hashes/ids/packages/whatever.

Andreas Hasenack (ahasenack) wrote :

Ok, I finally got the profile installed on my 3rd attempt (the first activity was automatically created when the computer was accepted, and the other two were my manual attemps).

See attached screenshot.

So in my case, the scenario of accepting a computer and expecting it to automatically install the profile didn't work. I had to come back to it twice.

Changed in landscape:
assignee: nobody → Free Ekanayaka (free.ekanayaka)
status: New → In Progress
Changed in landscape:
status: In Progress → Fix Committed
tags: added: testing
tags: removed: testing
tags: added: needs-testing
Andreas Hasenack (ahasenack) wrote :

The fix works, but mind a bug in smart: bug #562496

If /root/.gnupg doesn't exist when smart update runs, it is created, but that first smart update run will fail and so will the package profile activity.

tags: removed: needs-testing
Changed in landscape:
status: Fix Committed → Fix Released
visibility: private → public
Martin Pitt (pitti) on 2010-04-23
affects: Ubuntu Lucid → landscape-client (Ubuntu Lucid)

Accepted landscape-client into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in landscape-client (Ubuntu Karmic):
status: New → Fix Committed
tags: added: verification-needed
Changed in landscape-client (Ubuntu Jaunty):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted landscape-client into jaunty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 1.5.0.1-0ubuntu0.9.04.0

---------------
landscape-client (1.5.0.1-0ubuntu0.9.04.0) jaunty-proposed; urgency=low

  * New upstream version
    - Fix smart-update failing its very first run (LP: #562496)
    - Depend on pythonX.Y-dbus and pythonX.Y-pycurl (LP: #563063)
    - Make only one request at a time to retrieve EC2 instances (LP: #567515)

  * New upstream version (LP: #557244)
    - Fix package-changer running before smart-update has completed (LP: #542215)
    - Report the version of Eucalyptus used to generate topology data (LP: #554007)
    - Enable the Eucalyptus plugin by default, if supported (LP: #546531)
    - Use a whitelist of allowed filesystem types to instead of a blacklist (LP: #351927)
    - Report the update-manager logs to the server (LP: #503384)
    - Turn off Curl's DNS caching for requests. (LP: #522668)
 -- Free Ekanayaka <email address hidden> Wed, 21 Apr 2010 12:31:28 +0200

Changed in landscape-client (Ubuntu Jaunty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 1.5.0.1-0ubuntu0.9.10.0

---------------
landscape-client (1.5.0.1-0ubuntu0.9.10.0) karmic-proposed; urgency=low

  * New upstream version
    - Fix smart-update failing its very first run (LP: #562496)
    - Depend on pythonX.Y-dbus and pythonX.Y-pycurl (LP: #563063)
    - Make only one request at a time to retrieve EC2 instances (LP: #567515)

  * New upstream version (LP: #557244)
    - Fix package-changer running before smart-update has completed (LP: #542215)
    - Report the version of Eucalyptus used to generate topology data (LP: #554007)
    - Enable the Eucalyptus plugin by default, if supported (LP: #546531)
    - Use a whitelist of allowed filesystem types to instead of a blacklist (LP: #351927)
    - Report the update-manager logs to the server (LP: #503384)
    - Turn off Curl's DNS caching for requests. (LP: #522668)
 -- Free Ekanayaka <email address hidden> Wed, 21 Apr 2010 12:31:28 +0200

Changed in landscape-client (Ubuntu Karmic):
status: Fix Committed → Fix Released
Changed in landscape-client (Ubuntu Lucid):
status: New → Fix Released
Changed in landscape-client (Ubuntu):
status: New → Fix Released
tags: removed: verification-needed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers